Update app configuration
curl --request PATCH \
--url https://api.swapnice.com/v1/apps/{app_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"redirect_uris": [
"<string>"
],
"allowed_scopes": [
"<string>"
],
"allowed_consent_purposes": []
}
'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
redirect_uris: ['<string>'],
allowed_scopes: ['<string>'],
allowed_consent_purposes: []
})
};
fetch('https://api.swapnice.com/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/apps/{app_id}"
payload = {
"name": "<string>",
"redirect_uris": ["<string>"],
"allowed_scopes": ["<string>"],
"allowed_consent_purposes": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"client_id": "<string>",
"client_type": "public",
"redirect_uris": [
"<string>"
],
"allowed_scopes": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"allowed_consent_purposes": [
"account_linking"
]
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Apps
Update a partner app
Change redirect URIs, scopes, consent purposes, or status.
PATCH
/
v1
/
apps
/
{app_id}
Update app configuration
curl --request PATCH \
--url https://api.swapnice.com/v1/apps/{app_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"redirect_uris": [
"<string>"
],
"allowed_scopes": [
"<string>"
],
"allowed_consent_purposes": []
}
'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
redirect_uris: ['<string>'],
allowed_scopes: ['<string>'],
allowed_consent_purposes: []
})
};
fetch('https://api.swapnice.com/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/apps/{app_id}"
payload = {
"name": "<string>",
"redirect_uris": ["<string>"],
"allowed_scopes": ["<string>"],
"allowed_consent_purposes": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"client_id": "<string>",
"client_type": "public",
"redirect_uris": [
"<string>"
],
"allowed_scopes": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"allowed_consent_purposes": [
"account_linking"
]
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Change redirect URIs, scopes, consent purposes, or status.
Requires
apps:write and an Idempotency-Key.Authorizations
OAuth 2.1 authorization code with PKCE. Implicit and password flows are unsupported.
Headers
Required for mutating requests. Replays with the same key and payload hash return
the original logical result; replays with a different payload hash return 409.
Required string length:
16 - 255Path Parameters
Body
application/json
Response
Application updated.
Available options:
public, confidential Available options:
active, disabled Available options:
account_linking, personalization, analytics, support, event_enrichment, profile_resolution, measurement ⌘I